/*
 * @Author: Gaoxs
 * @Date: 2023-01-05 10:55:29
 * @LastEditors: Gaoxs
 * @Description:
 */
import { fileURLToPath, URL } from "node:url";

import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import vueJsx from "@vitejs/plugin-vue-jsx";

const port = 8080;

// console.log(process.env);

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), vueJsx()],
  resolve: {
    alias: {
      "@": fileURLToPath(new URL("./src", import.meta.url)),
      "@crud": fileURLToPath(new URL("./src/components/Crud", import.meta.url)),
    },
    extensions: [".mjs", ".js", ".ts", ".jsx", ".tsx", ".json", ".vue"],
  },
  define: {
    "process.env": {},
  },
  server: {
    port: port,
  },
});
